#include "appproto_english.h"
#include "proto/battery_english.pb.h"
#include <fstream>
#include <QDebug>

Appproto_English::Appproto_English(QObject *parent): QObject{parent}
{
    init();
}

Appproto_English::~Appproto_English()
{

}

void Appproto_English::init()
{
    BatteryConfig_English::Item item;
    std::ifstream finBetteryData("battery_english.data", std::ios::binary);
    if(!item.ParseFromIstream(&finBetteryData)) {
        qDebug() << "Failed to parse config.";
        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("System reset");
        item.mutable_itemattr(itemCount)->set_addr(3156);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("BMU quantity");
        item.mutable_itemattr(itemCount)->set_addr(3000);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Total number of batteries");
        item.mutable_itemattr(itemCount)->set_addr(3001);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Total number of temperature sensors");
        item.mutable_itemattr(itemCount)->set_addr(3002);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Low voltage sleep time");
        item.mutable_itemattr(itemCount)->set_addr(3003);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Heating start temperature (℃)");
        item.mutable_itemattr(itemCount)->set_addr(3004);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Heating stop temperature (℃)");
        item.mutable_itemattr(itemCount)->set_addr(3005);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Cooling start temperature (℃)");
        item.mutable_itemattr(itemCount)->set_addr(3006);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Cooling stop temperature (℃)");
        item.mutable_itemattr(itemCount)->set_addr(3007);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(3);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Reserved1");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3008);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("CAN baud rate");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3009);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("CAN communication protocol");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3010);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_1 baud rate");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3011);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_1 parity bit");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3012);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_1 device address");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3013);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_1 device protocol");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3014);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_2 baud rate");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3015);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_2 parity bit");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3016);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_2 device address");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3017);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_2 device protocol");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3018);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_3 baud rate");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3019);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_3 parity bit");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3020);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_3 device address");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3021);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("485_3 device protocol");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3022);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 1 type");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3023);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Sensor 1 Hall swing voltage (mV)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3024);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 1 range (A)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3025);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 1 direction");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3026);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 1 filtering (A)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3027);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 1 offset (A)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3028);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Hall 1 correction gain");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3029);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 2 type");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3030);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Sensor 2 Hall swing voltage (mV)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3031);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 2 range (A)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3032);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 2 direction");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3033);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 2 filtering (A)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3034);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Current sensor 2 offset (A)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3035);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Hall 2 correction gain");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3036);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Shunt rated voltage (mV)");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3037);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Charging current direction ");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3038);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Target current");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3039);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_other();
        item.mutable_itemattr_other(itemCount_other)->set_name("Cycle times");
        item.mutable_itemattr_other(itemCount_other)->set_addr(3040);
        item.mutable_itemattr_other(itemCount_other)->set_value(0);
        item.mutable_itemattr_other(itemCount_other)->set_scale(1);
        item.mutable_itemattr_other(itemCount_other)->set_introduce("");
        itemCount_other++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3041);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOE");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3042);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily charge and discharge cumulative time");
        item.mutable_itemattr(itemCount)->set_addr(3043);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily discharge cumulative capacity L");
        item.mutable_itemattr(itemCount)->set_addr(3044);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily discharge cumulative capacity H");
        item.mutable_itemattr(itemCount)->set_addr(3045);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily discharge electricity L");
        item.mutable_itemattr(itemCount)->set_addr(3046);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily discharge electricity H");
        item.mutable_itemattr(itemCount)->set_addr(3047);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily charging electricity L");
        item.mutable_itemattr(itemCount)->set_addr(3048);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily charging electricity H");
        item.mutable_itemattr(itemCount)->set_addr(3049);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily charging cumulative time L");
        item.mutable_itemattr(itemCount)->set_addr(3050);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily charging cumulative time H");
        item.mutable_itemattr(itemCount)->set_addr(3051);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily charging electricity L");
        item.mutable_itemattr(itemCount)->set_addr(3052);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Daily charging electricity H");
        item.mutable_itemattr(itemCount)->set_addr(3053);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative time L");
        item.mutable_itemattr(itemCount)->set_addr(3054);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative time H");
        item.mutable_itemattr(itemCount)->set_addr(3055);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative capacity L");
        item.mutable_itemattr(itemCount)->set_addr(3056);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative capacity H");
        item.mutable_itemattr(itemCount)->set_addr(3057);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative electricity L");
        item.mutable_itemattr(itemCount)->set_addr(3058);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative electricity H");
        item.mutable_itemattr(itemCount)->set_addr(3059);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        //----------------------------------3060~~3161---------------------------------------
        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charge cumulative time L");
        item.mutable_itemattr(itemCount)->set_addr(3060);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charge cumulative time H");
        item.mutable_itemattr(itemCount)->set_addr(3061);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charge cumulative capacity L");
        item.mutable_itemattr(itemCount)->set_addr(3062);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charge cumulative capacity H");
        item.mutable_itemattr(itemCount)->set_addr(3063);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative electricity L");
        item.mutable_itemattr(itemCount)->set_addr(3064);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge cumulative electricity H ");
        item.mutable_itemattr(itemCount)->set_addr(3065);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Power-off time L");
        item.mutable_itemattr(itemCount)->set_addr(3066);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Power-off time H");
        item.mutable_itemattr(itemCount)->set_addr(3067);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full discharge calibration voltage (mV)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3068);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full charge calibration voltage (mV)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3069);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full charge calibration average voltage (mV)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3070);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full discharge calibration single voltage (mV)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3071);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full charge calibration total voltage (V)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3072);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full discharge calibration total voltage (V)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3073);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full charge release single voltage (mV)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3074);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC full discharge release single voltage (mV)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3075);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Forbidden discharge release time (min)");
        item.mutable_itemattr(itemCount)->set_addr(3076);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Forbidden charge release time (min)");
        item.mutable_itemattr(itemCount)->set_addr(3077);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("OCV table index");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3078);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOP table index");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3079);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("OCV standing time (h)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3080);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("OCV standing current (A)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3081);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("OCV forbidden calibration upper limit (%)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3082);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("OCV forbidden calibration lower limit (%)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3083);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC operation upper limit (%)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3084);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr_sox();
        item.mutable_itemattr_sox(itemCount_SOX)->set_name("SOC operation lower limit (%)");
        item.mutable_itemattr_sox(itemCount_SOX)->set_addr(3085);
        item.mutable_itemattr_sox(itemCount_SOX)->set_value(0);
        item.mutable_itemattr_sox(itemCount_SOX)->set_scale(1);
        item.mutable_itemattr_sox(itemCount_SOX)->set_introduce("");
        itemCount_SOX++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Rated total voltage (V)");
        item.mutable_itemattr(itemCount)->set_addr(3086);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Requested charging voltage (V)");
        item.mutable_itemattr(itemCount)->set_addr(3087);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Rated charging current (A)");
        item.mutable_itemattr(itemCount)->set_addr(3088);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Rated discharging current (A)");
        item.mutable_itemattr(itemCount)->set_addr(3089);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Rated charging power (kw)");
        item.mutable_itemattr(itemCount)->set_addr(3090);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Rated discharging power (kw)");
        item.mutable_itemattr(itemCount)->set_addr(3091);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charging end first-stage current reduction voltage (V)");
        item.mutable_itemattr(itemCount)->set_addr(3092);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charging end second-stage current reduction voltage (V)");
        item.mutable_itemattr(itemCount)->set_addr(3093);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charging end first-stage current reduction ratio");
        item.mutable_itemattr(itemCount)->set_addr(3094);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charging end second-stage current reduction ratio");
        item.mutable_itemattr(itemCount)->set_addr(3095);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charge and discharge mode");
        item.mutable_itemattr(itemCount)->set_addr(3096);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Target voltage (kw)");
        item.mutable_itemattr(itemCount)->set_addr(3097);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("High voltage control strategy");
        item.mutable_itemattr(itemCount)->set_addr(3098);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge power-on self-check fault L");
        item.mutable_itemattr(itemCount)->set_addr(3099);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Discharge power-on self-check fault H");
        item.mutable_itemattr(itemCount)->set_addr(3100);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charging power-on self-check fault L");
        item.mutable_itemattr(itemCount)->set_addr(3101);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Charging power-on self-check fault H");
        item.mutable_itemattr(itemCount)->set_addr(3102);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Insulation enable");
        item.mutable_itemattr(itemCount)->set_addr(3103);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Power on and off mode");
        item.mutable_itemattr(itemCount)->set_addr(3104);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO1 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3105);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO2 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3106);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO3 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3107);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO4 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3108);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO5 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3109);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO6 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3110);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO7 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3111);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO8 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3112);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO1 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3113);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO2 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3114);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO3 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3115);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO4 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3116);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO5 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3117);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO6 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3118);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO7 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3119);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO8 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3120);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("正常模式，强控断开，强控闭合");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI1 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3121);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI2 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3122);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI3 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3123);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI4 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3124);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI5 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3125);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI6 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3126);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI7 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3127);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI8 control");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3128);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI1 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3129);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI2 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3130);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI3 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3131);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI4 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3132);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI5 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3133);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI6 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3134);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI7 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3135);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DI8 type");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3136);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO1 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3137);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO2 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3138);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO3 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3139);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO4 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3140);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO5 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3141);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO6 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3142);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO7 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3143);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr_dido();
        item.mutable_itemattr_dido(itemCount_DIDO)->set_name("DO8 fault detection source");
        item.mutable_itemattr_dido(itemCount_DIDO)->set_addr(3144);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_value(0);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_scale(1);
        item.mutable_itemattr_dido(itemCount_DIDO)->set_introduce("");
        itemCount_DIDO++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Pre-charge times");
        item.mutable_itemattr(itemCount)->set_addr(3145);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Pre-charge timeout time (s)");
        item.mutable_itemattr(itemCount)->set_addr(3146);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("HV voltage ratio (%)");
        item.mutable_itemattr(itemCount)->set_addr(3147);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Pre-charge voltage ratio (%)");
        item.mutable_itemattr(itemCount)->set_addr(3148);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("System time (s)");
        item.mutable_itemattr(itemCount)->set_addr(3149);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Year");
        item.mutable_itemattr(itemCount)->set_addr(3150);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("must use 0x10 modbusrtu function code");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Month");
        item.mutable_itemattr(itemCount)->set_addr(3151);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("must use 0x10 modbusrtu function code");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Day");
        item.mutable_itemattr(itemCount)->set_addr(3152);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("must use 0x10 modbusrtu function code");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Hour");
        item.mutable_itemattr(itemCount)->set_addr(3153);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("must use 0x10 modbusrtu function code");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Minute");
        item.mutable_itemattr(itemCount)->set_addr(3154);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("must use 0x10 modbusrtu function code");
        itemCount++;

        item.add_itemattr();
        item.mutable_itemattr(itemCount)->set_name("Second");
        item.mutable_itemattr(itemCount)->set_addr(3155);
        item.mutable_itemattr(itemCount)->set_value(0);
        item.mutable_itemattr(itemCount)->set_scale(1);
        item.mutable_itemattr(itemCount)->set_introduce("must use 0x10 modbusrtu function code");
        itemCount++;

        item.add_itemattr_balance();
        item.mutable_itemattr_balance(itemCount_balance)->set_name("Equalization start voltage (mv)");
        item.mutable_itemattr_balance(itemCount_balance)->set_addr(3157);
        item.mutable_itemattr_balance(itemCount_balance)->set_value(0);
        item.mutable_itemattr_balance(itemCount_balance)->set_scale(1);
        item.mutable_itemattr_balance(itemCount_balance)->set_introduce("");
        itemCount_balance++;

        item.add_itemattr_balance();
        item.mutable_itemattr_balance(itemCount_balance)->set_name("Equalization stop voltage (mv)");
        item.mutable_itemattr_balance(itemCount_balance)->set_addr(3158);
        item.mutable_itemattr_balance(itemCount_balance)->set_value(0);
        item.mutable_itemattr_balance(itemCount_balance)->set_scale(1);
        item.mutable_itemattr_balance(itemCount_balance)->set_introduce("");
        itemCount_balance++;

        item.add_itemattr_balance();
        item.mutable_itemattr_balance(itemCount_balance)->set_name("Equalization start voltage difference (mv)");
        item.mutable_itemattr_balance(itemCount_balance)->set_addr(3159);
        item.mutable_itemattr_balance(itemCount_balance)->set_value(0);
        item.mutable_itemattr_balance(itemCount_balance)->set_scale(1);
        item.mutable_itemattr_balance(itemCount_balance)->set_introduce("");
        itemCount_balance++;

        item.add_itemattr_balance();
        item.mutable_itemattr_balance(itemCount_balance)->set_name("Equalization stop voltage difference (mv)");
        item.mutable_itemattr_balance(itemCount_balance)->set_addr(3160);
        item.mutable_itemattr_balance(itemCount_balance)->set_value(0);
        item.mutable_itemattr_balance(itemCount_balance)->set_scale(1);
        item.mutable_itemattr_balance(itemCount_balance)->set_introduce("");
        itemCount_balance++;

        item.add_itemattr_balance();
        item.mutable_itemattr_balance(itemCount_balance)->set_name("Number of equalization channels");
        item.mutable_itemattr_balance(itemCount_balance)->set_addr(3161);
        item.mutable_itemattr_balance(itemCount_balance)->set_value(0);
        item.mutable_itemattr_balance(itemCount_balance)->set_scale(1);
        item.mutable_itemattr_balance(itemCount_balance)->set_introduce("");
        itemCount_balance++;

        //----------------------------------4000~~4449---------------------------------------
        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg total vol undervoltage (high temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4000);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg total vol undervoltage (high temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4001);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg total vol undervoltage (high temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4002);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg total vol undervoltage (high temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4003);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg total vol undervoltage (high temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4004);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg total vol undervoltage (high temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4005);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg total vol undervoltage (high temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4006);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg total vol undervoltage (high temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4007);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(3);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg total vol undervoltage (high temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4008);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg total vol undervoltage (high temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4009);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg total vol undervoltage (high temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4010);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg total vol undervoltage (high temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4011);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg total vol undervoltage (high temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4012);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg total vol undervoltage (high temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4013);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg total vol undervoltage (high temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4014);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg total vol undervoltage (high temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4015);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg total vol undervoltage (high temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4016);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg total vol undervoltage (high temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4017);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg total vol undervoltage (low temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4018);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg total vol undervoltage (low temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4019);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg total vol undervoltage (low temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4020);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg total vol undervoltage (low temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4021);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg total vol undervoltage (low temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4022);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg total vol undervoltage (low temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4023);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg total vol undervoltage (low temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4024);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg total vol undervoltage (low temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4025);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg total vol undervoltage (low temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4026);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg total vol undervoltage (low temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4027);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg total vol undervoltage (low temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4028);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg total vol undervoltage (low temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4029);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg total vol undervoltage (low temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4030);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg total vol undervoltage (low temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4031);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg total vol undervoltage (low temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4032);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg total vol undervoltage (low temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4033);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg total vol undervoltage (low temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4034);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg total vol undervoltage (low temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4035);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undervoltage (high temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4036);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undervoltage (high temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4037);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undervoltage (high temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4038);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undervoltage (high temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4039);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undervoltage (high temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4040);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undervoltage (high temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4041);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undervoltage (high temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4042);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undervoltage (high temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4043);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undervoltage (high temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4044);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undervoltage (high temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4045);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undervoltage (high temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4046);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undervoltage (high temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4047);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undervoltage (high temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4048);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undervoltage (high temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4049);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undervoltage (high temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4050);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undervoltage (high temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4051);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undervoltage (high temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4052);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undervoltage (high temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4053);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undervoltage (low temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4054);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undervoltage (low temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4055);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undervoltage (low temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4056);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undervoltage (low temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4057);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undervoltage (low temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4058);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undervoltage (low temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4059);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undervoltage (low temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4060);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undervoltage (low temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4061);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undervoltage (low temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4062);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undervoltage (low temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4063);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undervoltage (low temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4064);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undervoltage (low temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4065);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undervoltage (low temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4066);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undervoltage (low temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4067);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undervoltage (low temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4068);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undervoltage (low temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4069);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undervoltage (low temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4070);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undervoltage (low temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4071);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell overvoltage slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4072);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell overvoltage slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4073);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell overvoltage slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4074);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell overvoltage slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4075);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell overvoltage slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4076);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell overvoltage slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4077);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell overvoltage general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4078);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell overvoltage general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4079);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell overvoltage general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4080);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell overvoltage general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4081);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell overvoltage general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4082);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell overvoltage general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4083);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell overvoltage severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4084);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell overvoltage severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4085);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell overvoltage severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4086);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell overvoltage severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4087);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell overvoltage severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4088);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell overvoltage severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4089);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg overcurrent slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4090);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg overcurrent slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4091);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg overcurrent slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4092);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg overcurrent slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4093);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg overcurrent slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4094);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg overcurrent slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4095);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg overcurrent general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4096);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg overcurrent general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4097);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg overcurrent general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4098);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg overcurrent general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4099);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg overcurrent general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4100);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg overcurrent general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4101);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg overcurrent severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4102);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg overcurrent severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4103);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg overcurrent severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4104);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg overcurrent severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4105);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg overcurrent severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4106);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg overcurrent severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4107);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell overtemperature slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4108);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell overtemperature slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4109);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell overtemperature slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4110);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell overtemperature slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4111);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell overtemperature slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4112);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell overtemperature slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4113);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell overtemperature general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4114);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell overtemperature general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4115);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell overtemperature general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4116);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell overtemperature general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4117);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell overtemperature general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4118);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell overtemperature general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4119);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell overtemperature severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4120);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell overtemperature severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4121);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell overtemperature severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4122);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell overtemperature severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4123);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell overtemperature severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4124);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell overtemperature severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4125);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undertemperature slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4126);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undertemperature slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4127);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undertemperature slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4128);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undertemperature slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4129);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undertemperature slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4130);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undertemperature slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4131);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undertemperature general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4132);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undertemperature general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4133);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undertemperature general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4134);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undertemperature general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4135);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undertemperature general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4136);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undertemperature general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4137);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell undertemperature severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4138);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell undertemperature severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4139);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell undertemperature severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4140);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell undertemperature severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4141);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell undertemperature severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4142);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell undertemperature severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4143);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell voltage difference slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4144);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell volDiff slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4145);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell volDiff slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4146);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell volDiff slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4147);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell volDiff slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4148);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell volDiff slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4149);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("0：禁用，1：报警，2：切断继电器，3：切断继电器并重启释放");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell volDiff general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4150);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell volDiff general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4151);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell volDiff general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4152);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell volDiff general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4153);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell volDiff general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4154);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell volDiff general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4155);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell volDiff severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4156);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell volDiff severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4157);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell volDiff severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4158);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell volDiff severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4159);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell volDiff severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4160);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell volDiff severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4161);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell tempDiff slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4162);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell tempDiff slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4163);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell tempDiff slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4164);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell tempDiff slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4165);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell tempDiff slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4166);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell tempDiff slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4167);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell tempDiff general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4168);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell tempDiff general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4169);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(3);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell tempDiff general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4170);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell tempDiff general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4171);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell tempDiff general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4172);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell tempDiff general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4173);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg cell tempDiff severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4174);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg cell tempDiff severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4175);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg cell tempDiff severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4176);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg cell tempDiff severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4177);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg cell tempDiff severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4178);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg cell tempDiff severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4179);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg SOC too low slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4180);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg SOC too low slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4181);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg SOC too low slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4182);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg SOC too low slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4183);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg SOC too low slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4184);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg SOC too low slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4185);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg SOC too low general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4186);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg SOC too low general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4187);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg SOC too low general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4188);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg SOC too low general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4189);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg SOC too low general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4190);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg SOC too low general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4191);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Dischg SOC too low severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4192);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Dischg SOC too low severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4193);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Dischg SOC too low severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4194);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Dischg SOC too low severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4195);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Dischg SOC too low severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4196);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Dischg SOC too low severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4197);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg total vol overvoltage (high temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4198);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg total vol overvoltage (high temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4199);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg total vol overvoltage (high temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4200);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg total vol overvoltage (high temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4201);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg total vol overvoltage (high temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4202);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg total vol overvoltage (high temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4203);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg total vol overvoltage (high temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4204);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg total vol overvoltage (high temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4205);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg total vol overvoltage (high temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4206);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg total vol overvoltage (high temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4207);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg total vol overvoltage (high temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4208);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg total vol overvoltage (high temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4209);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg total vol overvoltage (high temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4210);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg total vol overvoltage (high temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4211);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg total vol overvoltage (high temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4212);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg total vol overvoltage (high temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4213);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg total vol overvoltage (high temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4214);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg total vol overvoltage (high temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4215);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg total vol overvoltage (low temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4216);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg total vol overvoltage (low temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4217);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg total vol overvoltage (low temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4218);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg total vol overvoltage (low temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4219);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg total vol overvoltage (low temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4220);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg total vol overvoltage (low temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4221);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg total vol overvoltage (low temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4222);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg total vol overvoltage (low temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4223);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg total vol overvoltage (low temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4224);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg total vol overvoltage (low temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4225);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg total vol overvoltage (low temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4226);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg total vol overvoltage (low temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4227);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg total vol overvoltage (low temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4228);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg total vol overvoltage (low temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4229);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg total vol overvoltage (low temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4230);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg total vol overvoltage (low temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4231);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg total vol overvoltage (low temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4232);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg total vol overvoltage (low temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4233);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overvoltage (high temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4234);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overvoltage (high temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4235);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overvoltage (high temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4236);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overvoltage (high temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4237);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overvoltage (high temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4238);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overvoltage (high temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4239);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overvoltage (high temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4240);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overvoltage (high temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4241);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overvoltage (high temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4242);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overvoltage (high temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4243);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overvoltage (high temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4244);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overvoltage (high temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4245);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overvoltage (high temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4246);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overvoltage (high temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4247);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overvoltage (high temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4248);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overvoltage (high temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4249);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overvoltage (high temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4250);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overvoltage (high temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4251);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overvoltage (low temp) slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4252);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overvoltage (low temp) slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4253);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overvoltage (low temp) slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4254);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overvoltage (low temp) slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4255);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overvoltage (low temp) slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4256);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overvoltage (low temp) slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4257);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overvoltage (low temp) general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4258);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overvoltage (low temp) general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4259);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overvoltage (low temp) general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4260);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overvoltage (low temp) general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4261);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overvoltage (low temp) general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4262);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overvoltage (low temp) general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4263);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overvoltage (low temp) severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4264);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overvoltage (low temp) severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4265);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overvoltage (low temp) severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4266);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overvoltage (low temp) severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4267);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overvoltage (low temp) severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4268);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overvoltage (low temp) severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4269);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell undervoltage slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4270);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell undervoltage slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4271);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell undervoltage slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4272);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell undervoltage slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4273);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell undervoltage slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4274);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell undervoltage slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4275);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell undervoltage general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4276);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell undervoltage general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4277);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell undervoltage general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4278);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell undervoltage general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4279);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell undervoltage general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4280);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell undervoltage general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4281);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell undervoltage severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4282);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell undervoltage severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4283);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell undervoltage severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4284);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell undervoltage severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4285);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell undervoltage severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4286);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell undervoltage severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4287);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg overcurrent slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4288);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg overcurrent slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4289);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg overcurrent slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4290);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg overcurrent slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4291);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg overcurrent slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4292);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg overcurrent slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4293);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg overcurrent general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4294);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg overcurrent general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4295);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg overcurrent general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4296);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg overcurrent general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4297);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg overcurrent general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4298);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg overcurrent general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4299);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg overcurrent severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4300);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg overcurrent severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4301);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg overcurrent severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4302);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg overcurrent severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4303);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg overcurrent severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4304);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg overcurrent severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4305);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overtemperature slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4306);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overtemperature slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4307);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overtemperature slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4308);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overtemperature slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4309);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overtemperature slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4310);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overtemperature slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4311);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overtemperature general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4312);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overtemperature general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4313);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overtemperature general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4314);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overtemperature general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4315);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overtemperature general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4316);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overtemperature general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4317);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell overtemperature severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4318);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell overtemperature severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4319);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell overtemperature severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4320);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell overtemperature severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4321);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell overtemperature severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4322);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell overtemperature severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4323);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell undertemperature slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4324);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell undertemperature slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4325);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell undertemperature slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4326);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell undertemperature slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4327);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell undertemperature slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4328);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell undertemperature slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4329);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell undertemperature general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4330);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell undertemperature general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4331);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(3);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell undertemperature general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4332);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell undertemperature general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4333);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell undertemperature general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4334);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell undertemperature general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4335);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell undertemperature severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4336);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell undertemperature severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4337);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell undertemperature severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4338);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell undertemperature severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4339);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell undertemperature severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4340);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell undertemperature severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4341);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell volDiff slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4342);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell volDiff slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4343);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell volDiff slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4344);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell volDiff slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4345);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell volDiff slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4346);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell volDiff slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4347);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell volDiff general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4348);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell volDiff general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4349);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell volDiff general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4350);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell volDiff general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4351);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell volDiff general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4352);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell volDiff general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4353);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell volDiff severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4354);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell volDiff severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4355);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell volDiff severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4356);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell volDiff severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4357);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell volDiff severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4358);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell volDiff severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4359);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell tempDiff slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4360);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell tempDiff slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4361);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell tempDiff slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4362);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell tempDiff slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4363);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell tempDiff slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4364);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell tempDiff slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4365);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell tempDiff general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4366);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell tempDiff general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4367);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell tempDiff general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4368);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell tempDiff general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4369);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell tempDiff general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4370);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell tempDiff general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4371);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Chg cell tempDiff severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4372);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Chg cell tempDiff severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4373);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Chg cell tempDiff severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4374);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Chg cell tempDiff severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4375);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Chg cell tempDiff severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4376);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Chg cell tempDiff severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4377);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Insulation res pos and neg to ground slight alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4378);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Insulation res pos and neg to ground slight alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4379);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Insulation res pos and neg to ground slight alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4380);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Insulation res pos and neg to ground slight alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4381);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Insulation res pos and neg to ground slight alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4382);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Insulation res pos and neg to ground slight alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4383);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Insulation res pos and neg to ground general alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4384);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Insulation res pos and neg to ground general alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4385);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Insulation res pos and neg to ground general alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4386);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Insulation res pos and neg to ground general alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4387);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Insulation res pos and neg to ground general alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4388);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Insulation res pos and neg to ground general alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4389);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Insulation res pos and neg to ground severe alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4390);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Insulation res pos and neg to ground severe alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4391);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Insulation res pos and neg to ground severe alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4392);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Insulation res pos and neg to ground severe alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4393);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Insulation res pos and neg to ground severe alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4394);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Insulation res pos and neg to ground severe alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4395);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("T1 high temp alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4396);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("T1 high temp alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4397);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("T1 high temp alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4398);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("T1 high temp alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4399);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("T1 high temp alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4400);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("T1 high temp alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4401);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("T1 low temp alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4402);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("T1 low temp alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4403);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("T1 low temp alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4404);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("T1 low temp alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4405);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("T1 low temp alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4406);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("T1 low temp alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4407);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Voltage cable alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4408);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Voltage cable alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4409);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Voltage cable alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4410);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Voltage cable alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4411);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Voltage cable alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4412);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Voltage cable alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4413);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Temperature sensor cable alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4414);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Temperature sensor cable alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4415);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Temperature sensor cable alarm release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4416);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Temperature sensor cable alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4417);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Temperature sensor cable alarm curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4418);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Temperature sensor cable alarm handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4419);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Master-slave communication alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4420);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Master-slave communication alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4421);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Master-slave communication release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4422);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Master-slave communication alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4423);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Master-slave communication curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4424);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Master-slave communication handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4425);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Power supply undervoltage alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4426);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Power supply undervoltage alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4427);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Power supply undervoltage release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4428);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Power supply undervoltage alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4429);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Power supply undervoltage curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4430);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Power supply undervoltage handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4431);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Power supply overvoltage alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4432);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Power supply overvoltage alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4433);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Power supply overvoltage release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4434);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Power supply overvoltage alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4435);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Power supply overvoltage curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4436);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Power supply overvoltage handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4437);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("High voltage abnormal alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4438);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("High voltage abnormal alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4439);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("High voltage abnormal release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4440);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("High voltage abnormal alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4441);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("High voltage abnormal curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4442);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("High voltage abnormal handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4443);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;

        item.add_itemattr_alert_value();
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_name("Command timeout alarm val");
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_addr(4444);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_value(0);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_scale(1);
        item.mutable_itemattr_alert_value(itemCount_alert_value)->set_introduce("");
        itemCount_alert_value++;

        item.add_itemattr_alert_delay();
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_name("Command timeout alarm delay");
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_addr(4445);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_value(0);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_scale(1);
        item.mutable_itemattr_alert_delay(itemCount_alert_delay)->set_introduce("");
        itemCount_alert_delay++;

        item.add_itemattr_alert_release_value();
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_name("Command timeout release val");
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_addr(4446);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_value(0);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_scale(1);
        item.mutable_itemattr_alert_release_value(itemCount_alert_release_value)->set_introduce("");
        itemCount_alert_release_value++;

        item.add_itemattr_alert_release_delay();
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_name("Command timeout alarm release delay");
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_addr(4447);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_value(0);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_scale(1);
        item.mutable_itemattr_alert_release_delay(itemCount_alert_release_delay)->set_introduce("");
        itemCount_alert_release_delay++;

        item.add_itemattr_alert_dropcurr_rate();
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_name("Command timeout curr reduc ratio");
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_addr(4448);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_value(0);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_scale(1);
        item.mutable_itemattr_alert_dropcurr_rate(itemCount_alert_dropcurr_rate)->set_introduce("");
        itemCount_alert_dropcurr_rate++;

        item.add_itemattr_alert_solve_measure();
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_name("Command timeout handling meas");
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_addr(4449);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_value(0);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_scale(1);
        item.mutable_itemattr_alert_solve_measure(itemCount_alert_solve_measure)->set_introduce("");
        itemCount_alert_solve_measure++;


        std::fstream  foutBetteryData("battery_english.data",std::ios::out | std::ios::trunc | std::ios::binary);
        if(!item.SerializePartialToOstream(&foutBetteryData)) {
            qDebug() << "create config filed";
        }
        foutBetteryData.close();
        foutBetteryData.clear();
    }
    else {
        qDebug() << "item size:" << item.itemattr_size();
        for(int i = 0; i < item.itemattr_size(); i++) {
            qDebug() << "item name:" << item.itemattr(i).name().c_str() << "item addr:" << item.itemattr(i).addr() << "item value:" <<
                item.itemattr(i).value() << "item scale:" << item.itemattr(i).scale() << "item introduce:" << item.itemattr(i).introduce().c_str();
        }

        qDebug() << "item_balance size:1111111111111111111111111" << item.itemattr_balance_size();
        for(int i = 0; i < item.itemattr_balance_size(); i++) {
            qDebug() << "item name:" << item.itemattr_balance(i).name().c_str() << "item addr:" << item.itemattr_balance(i).addr() << "item value:" <<
                item.itemattr_balance(i).value() << "item scale:" << item.itemattr_balance(i).scale() << "item introduce:" << item.itemattr_balance(i).introduce().c_str();
        }
    }
    finBetteryData.close();
    finBetteryData.clear();
}
